package dto

// 返回字符串类型数据
type BaseResponseDto struct {
	Status  int    `json:"status"`
	Message string `json:"message"`
}

// 分页查询请求参数
type GetPageListBaseRequestDto struct {
	PageIndex int `json:"pageIndex"`
	PageSize  int `json:"pageSize"`
}

// 列表分页
type GetPageListBaseResponseDto struct {
	Status   int                     `json:"status"`
	Result   interface{}             `json:"result"` //列表值
	PageInfo PageInfoBaseResponseDto `json:"pageInfo"`
}

// 分页返回参数
type PageInfoBaseResponseDto struct {
	TotalRecords int `json:"totalRecords"`
	TotalPages   int `json:"totalPages"`
}

// 非列表分页、非字符串类型数据返回
type BaseResultResponseDto struct {
	Status int         `json:"status"`
	Result interface{} `json:"result"` //返回值
}

// 返回登录用户基本信息与权限数据
type UserInfoDto struct {
	Status      int    `json:"status"`
	Username    string `json:"username"`
	Oauth2Token string `json:"oauth2Token"`
	Message     string `json:"message"`
	Token       string `json:"token"`
}

type GetUserAllNameSpaceRequestDto struct {
	UserId int `json:"userId"` //用户id
}

type GetControllerNameListByNameSpaceRequestDto struct {
	NameSpace          string `json:"nameSpace"`          // 命名空间
	ControllerTypeName string `json:"controllerTypeName"` // 资源类型如deploy sts
}
