package pods

import "k8s.io/api/core/v1"

type GetPodListRequestDto struct {
	NameSpace string `json:"nameSpace"` // 命名空间
	PageIndex int    `json:"pageIndex"`
	PageSize  int    `json:"pageSize"`
}

type GetPodListResultDataResponseDto struct {
	PodName      string `json:"podName"`      // pod名称
	Ready        string `json:"ready"`        // 就绪情况
	Status       string `json:"status"`       // 状态
	RestartCount int32  `json:"restartCount"` // 重启次数
	CreateTime   string `json:"createTime"`   // 创建时间
	InternalIP   string `json:"internalIP"`   // 内部ip
	RunningNode  string `json:"runningNode"`  // 运行节点
}

type DeletePodRequestDto struct {
	NameSpace string `json:"nameSpace"` // 命名空间
	PodName   string `json:"podName"`   // pod名称
}

type GetPodOriginalInfoRequestDto struct {
	NameSpace string `json:"nameSpace"` // 命名空间
	PodName   string `json:"podName"`   // pod名称
}

type GetAllPodRunningContainerRequestDto struct {
	NameSpace string `json:"nameSpace"` // 命名空间
	PodName   string `json:"podName"`   // pod名称
}

type CheckPodContentRequestDto struct {
	NameSpace   string `json:"nameSpace"`   // 命名空间
	OperateType string `json:"operateType"` // 操作类型 更新、新增
	v1.Pod
}

type SavePodResourceRequestDto struct {
	NameSpace   string `json:"nameSpace"`   // 命名空间
	OperateType string `json:"operateType"` // 操作类型 更新、新增
	v1.Pod
}
