package pvc

import (
	"k8s.io/api/core/v1"
)

type GetPvcListRequestDto struct {
	NameSpace string `json:"nameSpace"` // 命名空间
	PageIndex int    `json:"pageIndex"`
	PageSize  int    `json:"pageSize"`
}

type GetPvcListResultDataResponseDto struct {
	PvcName      string   `json:"pvcName"`      // 名称
	Status       string   `json:"status"`       // 状态：可用(Available)、已使用(Bound)、正在回收(Released)、失败(Failed)
	Volume       string   `json:"volume"`       // 存储卷
	Capacity     string   `json:"capacity"`     // 容量大小
	AccessModes  []string `json:"accessModes"`  // 访问模式：单节点读写(RWO)、多节点只读(ROX)、多节点读写(RWX)
	StorageClass string   `json:"storageClass"` // 存储类
	CreatedTime  string   `json:"createdTime"`  // 已创建时间
}

type PvcCreateRequestDto struct {
	NameSpace string `json:"nameSpace"` // 命名空间
	v1.PersistentVolumeClaim
}

type PvcRemoveRequestDto struct {
	PvcName   string `json:"pvcName"`   // 存储卷声明名称
	NameSpace string `json:"nameSpace"` // 命名空间
}
