package storageManage

import "k8s.io/api/core/v1"

type GetPVListResultDataResponseDto struct {
	PVName        string   `json:"pVName"`        // 存储卷名称
	Storage       string   `json:"storage"`       // 容量大小
	AccessModes   []string `json:"accessModes"`   // 访问模式 单节点读写(RWO)、多节点只读(ROX)、多节点读写(RWX)，可同时支持多种
	RecyclePolicy string   `json:"recyclePolicy"` // 回收策略 保留(Retain)、回收(Recycle)、删除(Delete)，同时只能选择一种
	Type          string   `json:"type"`          // 类型
	Status        string   `json:"status"`        // 状态
	CreateTime    string   `json:"createTime"`    // 创建时间
}

type DeletePVRequestDto struct {
	PVName string `json:"pVName"` // 存储卷名称
}

// 校验yaml文件编辑器编写的存储卷内容
type CheckPVContentRequestDto struct {
	v1.PersistentVolume
}

// 保存yaml文件编辑器编写的存储卷
type CreatePVByYamlRequestDto struct {
	v1.PersistentVolume
}
