package tls

type GetTlsListRequestDto struct {
	NameSpace string `json:"nameSpace"` // 命名空间
	PageIndex int    `json:"pageIndex"`
	PageSize  int    `json:"pageSize"`
}

type GetTlsListResultDataResponseDto struct {
	TlsName     string `json:"tlsName"`     // 证书名称
	TlsDomain   string `json:"tlsDomain"`   // 证书域名
	Expire      string `json:"expire"`      // 过期时间
	CreatedTime string `json:"createdTime"` // 已创建时间
}

type TlsRequestDto struct {
	TlsName   string `json:"tlsName"`   // tls证书名称
	NameSpace string `json:"nameSpace"` // 命名空间
}

type GetTlsInfoResultDataResponseDto struct {
	TlsName               string `json:"tlsName"`               // 证书名称
	PublicKeyCertificate  string `json:"publicKeyCertificate"`  // 公钥证书内容
	PrivateKeyCertificate string `json:"privateKeyCertificate"` // 私钥证书内容
	PubCaPath             string `json:"pubCaPath"`             // 公钥证书存放路径
	PriCaPath             string `json:"priCaPath"`             // 私钥证书存放路径
}

type AddOrUpdateTlsRequestDto struct {
	NameSpace     string `json:"nameSpace"`     // 命名空间
	TlsName       string `json:"tlsName"`       // 证书名称
	PublicKey     string `json:"publicKey"`     // 公钥证书内容
	PrivateKey    string `json:"privateKey"`    // 私钥证书内容
	OperationType string `json:"operationType"` // 操作类型 add：添加 update：更新
}
