package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

	beego.GlobalControllerRouter["k8s-console/controllers:CommonController"] = append(beego.GlobalControllerRouter["k8s-console/controllers:CommonController"],
		beego.ControllerComments{
			Method:           "GetClusterConfigInfo",
			Router:           `/getClusterConfigInfo`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers:CommonController"] = append(beego.GlobalControllerRouter["k8s-console/controllers:CommonController"],
		beego.ControllerComments{
			Method:           "GetControllerNameListByNameSpace",
			Router:           `/getControllerNameListByNameSpace`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers:CommonController"] = append(beego.GlobalControllerRouter["k8s-console/controllers:CommonController"],
		beego.ControllerComments{
			Method:           "GetKindTemplateInfo",
			Router:           `/getTemplate`,
			AllowHTTPMethods: []string{"get"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers:CommonController"] = append(beego.GlobalControllerRouter["k8s-console/controllers:CommonController"],
		beego.ControllerComments{
			Method:           "GetUserAllNameSpaces",
			Router:           `/getUserAllNameSpaces`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers:OidcController"] = append(beego.GlobalControllerRouter["k8s-console/controllers:OidcController"],
		beego.ControllerComments{
			Method:           "AuthCode",
			Router:           `/authCode`,
			AllowHTTPMethods: []string{"get"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers:OidcController"] = append(beego.GlobalControllerRouter["k8s-console/controllers:OidcController"],
		beego.ControllerComments{
			Method:           "GetUserPermission",
			Router:           `/getUserPermission`,
			AllowHTTPMethods: []string{"get"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers:StatefulSetController"] = append(beego.GlobalControllerRouter["k8s-console/controllers:StatefulSetController"],
		beego.ControllerComments{
			Method:           "GetStatefulSetServiceName",
			Router:           `/getStatefulSetServiceName`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers:StoreController"] = append(beego.GlobalControllerRouter["k8s-console/controllers:StoreController"],
		beego.ControllerComments{
			Method:           "CheckScContent",
			Router:           `/checkScContent`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers:StoreController"] = append(beego.GlobalControllerRouter["k8s-console/controllers:StoreController"],
		beego.ControllerComments{
			Method:           "CreateSc",
			Router:           `/createSc`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers:StoreController"] = append(beego.GlobalControllerRouter["k8s-console/controllers:StoreController"],
		beego.ControllerComments{
			Method:           "DelScByName",
			Router:           `/delScByName`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers:StoreController"] = append(beego.GlobalControllerRouter["k8s-console/controllers:StoreController"],
		beego.ControllerComments{
			Method:           "GetAllSc",
			Router:           `/getScList`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

}
