package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

	beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"],
		beego.ControllerComments{
			Method:           "CheckDeploymentContent",
			Router:           `/checkDeploymentContent`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"],
		beego.ControllerComments{
			Method:           "CreateDeployment",
			Router:           `/createDeployment`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"],
		beego.ControllerComments{
			Method:           "GetDeploymentDetailsForEdit",
			Router:           `/getDeploymentDetailsForEdit`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"],
		beego.ControllerComments{
			Method:           "GetDeploymentDetailsTemplate",
			Router:           `/getDeploymentDetailsTemplate`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"],
		beego.ControllerComments{
			Method:           "GetDeploymentList",
			Router:           `/getDeploymentList`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	/*beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"],
		beego.ControllerComments{
			Method:           "GetDeploymentNameListByNameSpace",
			Router:           `/getDeploymentNameListByNameSpace`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"],
		beego.ControllerComments{
			Method:           "GetDeploymentPortList",
			Router:           `/getDeploymentPortList`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})*/

	beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"],
		beego.ControllerComments{
			Method:           "QueryDeploymentDetails",
			Router:           `/queryDeploymentDetails`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"],
		beego.ControllerComments{
			Method:           "RemoveDeployment",
			Router:           `/removeDeployment`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"],
		beego.ControllerComments{
			Method:           "SaveDeploymentDetailsForEdit",
			Router:           `/saveDeploymentDetailsForEdit`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/deployment:DeploymentController"],
		beego.ControllerComments{
			Method:           "ScaleDeployment",
			Router:           `/scaleDeployment`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

}
