package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "CheckIngress",
			Router:           `/checkIngressContent`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "CreateIngressByGui",
			Router:           `/createIngressByGui`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "AddTUdpIngressDetail",
			Router:           `/createTUdpIngress`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "DeleteIngressByName",
			Router:           `/deleteIngress`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "DeleteTUdpIngress",
			Router:           `/deleteTUdpIngress`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "EditIngressByName",
			Router:           `/editIngressByName`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "GetIngressByNameDetail",
			Router:           `/getDetailByIngressName`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "GetIngressDetailToGui",
			Router:           `/getIngressDetailToGui`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "GetAllIngress",
			Router:           `/getIngressList`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "GetServiceNamePorts",
			Router:           `/getServiceNamePorts`,
			AllowHTTPMethods: []string{"get"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "GetTUdpIngressDetail",
			Router:           `/getTUdpIngressDetail`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "GetTUdpIngressList",
			Router:           `/getTUdpIngressList`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "GetTlsNames",
			Router:           `/getTlsNames`,
			AllowHTTPMethods: []string{"get"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "SaveAndupdateIngress",
			Router:           `/saveAndupdateIngressContent`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "UpdateTUdpIngress",
			Router:           `/updateTUdpIngress`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

	beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"] = append(beego.GlobalControllerRouter["k8s-console/controllers/ingress:IngressController"],
		beego.ControllerComments{
			Method:           "UpgradeIngressToGui",
			Router:           `/upgradeIngressToGui`,
			AllowHTTPMethods: []string{"post"},
			MethodParams:     param.Make(),
			Filters:          nil,
			Params:           nil})

}
